<ion-card>
  <ion-card-content>
    <ion-card-title [ngbTooltip]="riddle.title" container="body" placement="top" [openDelay]="1000">{{ riddle.name }}</ion-card-title>
    <p> {{ riddle.description }} </p>
    <div *ngIf="riddle.files.length !== 0">
      <ion-item-divider>
        <ion-label>
          Dateianhänge
        </ion-label>
      </ion-item-divider>
      <ion-list>
        <ion-item *ngFor="let file of riddle.files">
          <ion-label>
            <a (click)="downloadFile(file)" [ngbTooltip]="file.name" container="body" placement="top" [openDelay]="1000">
              <ion-icon name="document"></ion-icon> {{file.name}}
            </a>
          </ion-label>
        </ion-item>
      </ion-list>
      <ion-progress-bar value="0" [value]="progress | async"></ion-progress-bar>
    </div>
    <ion-item-divider>
      <ion-label>
        Lösung
      </ion-label>
    </ion-item-divider>
    <ion-label>
      {{ riddle.solution }}
    </ion-label>
  </ion-card-content>
</ion-card>